Skip to content

Level Wildcard REST API

Published: 2024-05-15

Last Updated: 2026-08-26

Update the value of an existing level wildcard in MDCMS.

POST /level/wildcard

Preconditions

QTMHHTTP must be authorized in MDSEC to run command MDUPDLWC.

JSON payloads

All MDCMS REST API request and response bodies use JSON. Send Content-Type: application/json.

Authorization

Header Type Required Description
Authorization string Yes Bearer token for the MDSEC user. See Authenticate requests to the MDCMS REST API server.
Content-Type string Yes application/json

A missing or invalid token returns HTTP 401 Unauthorized.

Request body

Schema

Property Type Required Description
wild string Yes Existing 6-character wildcard identifier for application-level variables.
appl string No *ALL to apply the update to existing entries for all applications, or a specific application ID to update only that application.
lvl integer No 0 to apply the update to existing entries for all application levels, or a specific level number. Combined with appl, this can target one or more applications.
fldv string No New value to apply to the wildcard, up to 160 characters.

Example

Update a wildcard for one application and level. Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

{
  "wild": "CONTXT",
  "appl": "TSTAPP",
  "lvl": 100,
  "fldv": "ABCxyz123"
}
curl -X POST "https://{endpoint}/level/wildcard" \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{"wild":"CONTXT","appl":"TSTAPP","lvl":100,"fldv":"ABCxyz123"}'
POST /level/wildcard HTTP/1.1
Host: {endpoint}
Authorization: Bearer {token}
Content-Type: application/json

{
  "wild": "CONTXT",
  "appl": "TSTAPP",
  "lvl": 100,
  "fldv": "ABCxyz123"
}

Response body

Schema

Property Type Description
sev string Result severity. See Severity.
msg string Description of the result of the attempt to update the wildcard value.

Severity

Value Meaning
10 Success
20 Warning
30 Error

Example

{
  "sev": "10",
  "msg": "1 Wildcard entry has been updated"
}
Resource Description
Levels REST API List application levels